Page MenuHomePhabricator

Fatal error from CirrusSearch/IncomingLinkCount Job: Argument to WikiPage::__construct must be Title
Closed, ResolvedPublic

Description

Error

Request URL: jobrunner
Request ID: INSERT_ID

message
PHP Fatal Error: Argument 1 passed to WikiPage::__construct() must be an instance of Title, null given
trace
#0 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/Updater.php(501): NO_FUNCTION_GIVEN()
#1 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/Job/IncomingLinkCount.php(38): CirrusSearch\Updater->updateLinkedArticles(array)
#2 /srv/mediawiki/php-1.34.0-wmf.10/extensions/CirrusSearch/includes/Job/JobTraits.php(137): CirrusSearch\Job\IncomingLinkCount->doJob()
#3 /srv/mediawiki/php-1.34.0-wmf.10/extensions/EventBus/includes/JobExecutor.php(64): CirrusSearch\Job\CirrusTitleJob->run()
#4 /srv/mediawiki/rpc/RunSingleJob.php(76): JobExecutor->execute(array)

Impact

The IncomingLinkCount job is sometimes not run. The failure appears deterministic which means the affected content is likely incorrect or stale in someway in relation to CirrusSearch.

Notes

Seen since 1.34-wmf.7, possibly earlier. Seems to affect hi.wikipedia.org only.

Event Timeline

Krinkle created this task.Jun 26 2019, 1:29 AM
Restricted Application added a project: Discovery-Search. · View Herald TranscriptJun 26 2019, 1:29 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
dcausse claimed this task.Jun 26 2019, 7:11 AM
dcausse triaged this task as Normal priority.
dcausse moved this task from needs triage to Current work on the Discovery-Search board.
dcausse moved this task from in progress to Needs review on the Discovery-Search (Current work) board.

Change 519182 had a related patch set uploaded (by DCausse; owner: DCausse):
[mediawiki/extensions/CirrusSearch@master] Ignore broken redirects when updating incoming link counts

https://gerrit.wikimedia.org/r/519182

Change 519182 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@master] Ignore broken redirects when updating incoming link counts

https://gerrit.wikimedia.org/r/519182

Change 520042 had a related patch set uploaded (by Krinkle; owner: DCausse):
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.11] Ignore broken redirects when updating incoming link counts

https://gerrit.wikimedia.org/r/520042

Change 520042 merged by jenkins-bot:
[mediawiki/extensions/CirrusSearch@wmf/1.34.0-wmf.11] Ignore broken redirects when updating incoming link counts

https://gerrit.wikimedia.org/r/520042

Mentioned in SAL (#wikimedia-operations) [2019-07-02T11:15:44Z] <dcausse@deploy1001> Synchronized php-1.34.0-wmf.11/extensions/CirrusSearch/includes/Updater.php: T226592: Ignore broken redirects when updating incoming link counts (duration: 00m 49s)

Krinkle closed this task as Resolved.Jul 2 2019, 2:40 PM